All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.information.util
Interface ISDefs

    public interface ISDefs

Field Summary
`static java.lang.String` | `ABSTRACTEXTENSION` Model description of Object: The parent type for Extension and NumericExtension
`static java.lang.String` | `ABSTRACTJOB` Model description of Object:
`static java.lang.String` | `ABSTRACTPROMPT` Model description of Object: Abstract prompt is the parent class for types used by the SAS Prompt Interface.
`static java.lang.String` | `ABSTRACTPROPERTY` Model description of Object: This is the supertype for all of the property types.
`static java.lang.String` | `ABSTRACTTRANSFORMATION` Model description of Object: The parent type for transformation types.
`static java.lang.String` | `ACCESSCONTROL` Model description of Object:
`static java.lang.String` | `ACCESSCONTROLENTRY` Model description of Object: AccessControlEntry
`static java.lang.String` | `ACCESSCONTROLTEMPLATE` Model description of Object: AccessControlTemplate
`static java.lang.String` | `AGGREGATEASSOCIATION` Model description of Object: DEPRECATED: This type associates an Aggregation to either a Level or a Measure and to the physical object (Column or some other persistence object) that contains the data.
`static java.lang.String` | `AGGREGATION` Model description of Object: This type represents aggregations stored in a multidimensional object, or mapped to other data objects.
`static java.lang.String` | `ANALYTICCOLUMN` Model description of Object: Analytic attributes to apply to a column.
`static java.lang.String` | `ANALYTICTABLE` Model description of Object: Analytic attributes to apply to a table.
`static java.lang.String` | `ARCHIVEENTRY` Model description of Object: This is an entry in an archive file.
`static java.lang.String` | `ARCHIVEFILE` Model description of Object: This type represents an archive, such as a tar file or a zip file, which may contain entries.
`static java.lang.String` | `ASSOCIATIONPROPERTY` Model description of Object: This property defines an association between Prototype objects.
`static java.lang.String` | `ATTRIBUTEPROPERTY` Model description of Object: This type is used to describe an Attribute of a particular metadata type.
`static java.lang.String` | `AUTHENTICATIONDOMAIN` Model description of Object: This type represents an authentication domain.
`static java.lang.String` | `CALCULATEDMEASURE` Model description of Object: CalculatedMeasure is a definition of a new measure within a cube.
`static java.lang.String` | `CHANGE` Model description of Object: DRAFT.
`static java.lang.String` | `CLASSID_FTP` The class ID for a FTP server: CBA26437-1577-4FF8-93F6-9B68B4DD8D2E
`static java.lang.String` | `CLASSID_HTTP` The Class ID for a HTTP server: DAC0D7F0-10DA-11D6-8816- AA0004006D06
`static java.lang.String` | `CLASSIFIER` Model description of Object: A classifier is an element that describes structural and behavioral features.
`static java.lang.String` | `CLASSIFIERMAP` Model description of Object: ClassifierMap is used to Map any number of Classifier objects to any number of Classifier objects.
`static java.lang.String` | `CLSID_SAS_WORKSPACE` The class id of the classic SAS server: 440196d4-90f0-11d0-9f41-00a024bb830c
`static java.lang.String` | `CLSID_SASGMS_GMS` The class id of the generic server: 9c186a64-83e4-11d2-b956-00c04f81993c
`static java.lang.String` | `CLSID_SASMDX_SERVER` The class id of OLAP V9: f3f46472-1e31-11d5-87c2-00c04f38f9f6
`static java.lang.String` | `CLSID_SASMQX_MQX` the class id of the message queue server: 8d9ef489-8d1e-11d2-b94f-00c04f8198c0
`static java.lang.String` | `CLSID_SASOMI_OMI` The class id of the OMR server: 2887e7d7-4780-11d4-879f-00c04f38f0db
`static java.lang.String` | `CLSID_SASSTP_STOREDPROCESSSERVER` The class id of SAS/Intrnet V9: 15931e31-667f-11d5-8804-00c04f35ac8c
`static java.lang.String` | `COLUMN` Model description of Object: This type represents a column in a table, view, etc.
`static java.lang.String` | `COLUMNRANGE` Model description of Object: Represents a range of columns.
`static java.lang.String` | `COMCONNECTION` Model description of Object: This type represents a COM connection.
`static java.lang.String` | `CONDITIONALPRECEDENCE` Model description of Object:
`static java.lang.String` | `CONFIGUREDCOMPONENT` Model description of Object: Installed software that has configuration information in addition to the licensing information.
`static java.lang.String` | `CONNECTION` Model description of Object: This type represents the information required to connect to a server.
`static java.lang.String` | `CONTENTLOCATION` Model description of Object: This is the supertype for all types that provide location information.
`static java.lang.String` | `CONTENTTYPE` Model description of Object: A content type for each supported type will be created in the metadata.
`static java.lang.String` | `CUBE` Model description of Object: A logical, multidimensional object comprised of a set of cube regions.
`static java.lang.String` | `CUSTOMASSOCIATION` Model description of Object: Draft: The object is subject to change during development of 9.2.
`static java.lang.String` | `DATABASECATALOG` Model description of Object:
`static java.lang.String` | `DATABASESCHEMA` Model description of Object: This type represents a schema in a relational database.
`static java.lang.String` | `DATASOURCENAME` Model description of Object:
`static java.lang.String` | `DATATABLE` Model description of Object: This is an abstract type that represents an object that contains a set of columns.
`static java.lang.String` | `DEPLOYEDCOMPONENT` Model description of Object: A deployed component is the representation of installed software.
`static java.lang.String` | `DEPLOYEDDATAPACKAGE` Model description of Object: A Deployed Data Package is a container of data files (files that contain data) or other Deployed Data Packages.
`static java.lang.String` | `DEVICE` Model description of Object: This type is used to describe location information for SAS Filerefs using the following engines: PIPE PLOTTER PRINTER TAPE TERMINAL XPRINTER
`static java.lang.String` | `DEVICETYPE` Model description of Object: This type is used to define a prototype for a specific supported device.
`static java.lang.String` | `DIMENSION` Model description of Object: A categorization of information.
`static java.lang.String` | `DIRECTORY` Model description of Object: A directory represents a physical operating system path.
`static java.lang.String` | `DOCUMENT` Model description of Object: A Document is a web page that contains documentation pertinent to the object to which this document is related.
`static java.lang.String` | `EMAIL` Model description of Object: An e-mail address.
`static java.lang.String` | `EMMODEL` Model description of Object: SAS Enterprise Miner Models
`static java.lang.String` | `EMRULES` Model description of Object: This type represents Enterprise Miner Rules
`static java.lang.String` | `EVENT` Model description of Object: An event is something that describes a condition that occurs that drives other things, such as jobs, to be processed.
`static java.lang.String` | `EXTENSION` Model description of Object:
`static java.lang.String` | `EXTERNALIDENTITY` Model description of Object: DRAFT: This is an ID associated with the object in some other context, such as a GUID or DN for LDAP .
`static java.lang.String` | `EXTERNALTABLE` Model description of Object: This type represents an table in an external data file.
`static java.lang.String` | `FEATURE` Model description of Object: A feature is a property which is encapsulated within a Classifier.
`static java.lang.String` | `FEATUREMAP` Model description of Object: FeaturerMap is used to Map any number of Feature objects to any number of Feature objects.
`static java.lang.String` | `FILE` Model description of Object: The type represents a file in the file system
`static java.lang.String` | `FITSTATISTIC` Model description of Object: Usually a measure of the accuracy of a predicted value.
`static java.lang.String` | `FOREIGNKEY` Model description of Object: This type represents the fact that a table has a foreign key in it to another table.
`static java.lang.String` | `GLOBALFORMULA` Model description of Object: GlobalFormula is a definition of a new member or named set for a dimension within a cube.
`static java.lang.String` | `GROUP` Model description of Object: This type represents the ability to group metadata together.
`static java.lang.String` | `GROUPBYCLAUSE` Model description of Object: Has an association to the columns used to group this data.
`static java.lang.String` | `HAVINGCLAUSE` Model description of Object: DEPRECATED: This type represents a Having clause in an SQL statement.
`static java.lang.String` | `HIERARCHY` Model description of Object: This type represents an OLAP hierarchy, ie.
`static java.lang.String` | `HIERARCHYLEVEL` Model description of Object: HierarchyLevel represent a level within one and only one hierarchy.
`static java.lang.String` | `IDENTITY` Model description of Object: Identity - abstract class for objects which identify an entity.
`static java.lang.String` | `IDENTITYGROUP` Model description of Object: Grouping mechanism for identity objects.
`static java.lang.String` | `INDEX` Model description of Object: An index represents an index on a physical structure.
`static java.lang.String` | `ITCHANNEL` Model description of Object: A content distribution center.
`static java.lang.String` | `ITCONTENTSUBSCRIBER` Model description of Object:
`static java.lang.String` | `ITEVENTSUBSCRIBER` Model description of Object:
`static java.lang.String` | `ITFILTER` Model description of Object: A filter string is used to include or exclude content going to a specific subscriber.
`static java.lang.String` | `ITMAP` Model description of Object: Maps the parameters in a message for architectural translation.
`static java.lang.String` | `ITMODEL` Model description of Object: A queue prototype.
`static java.lang.String` | `ITMSMQMODEL` Model description of Object: A model for Microsoft Message Queuing queues.
`static java.lang.String` | `ITQUEUEALIAS` Model description of Object: Provides an alternate name for a queue.
`static java.lang.String` | `ITRENDMODEL` Model description of Object: Model for defining a Rendezvous queue.
`static java.lang.String` | `ITSUBSCRIBER` Model description of Object: A subscriber profile is used to control how published content is delivered to a user.
`static java.lang.String` | `ITTRANSPORTALIAS` Model description of Object: Alias for a queue service transport.
`static java.lang.String` | `JFJOB` Model description of Object: Represents a job that has been or will be scheduled in the LSF JobFlow.
`static java.lang.String` | `JOB` Model description of Object: Groups transformation activities to be an actual runtime unit.
`static java.lang.String` | `JOIN` Model description of Object: DEPRECATED: The output of a Join is limited to one JoinTable.
`static java.lang.String` | `JOINTABLE` Model description of Object: DEPRECATED: This type represents an instance of a join between two tables.
`static java.lang.String` | `KEY` Model description of Object: This type represents a keys on tables.
`static java.lang.String` | `KEYASSOCIATION` Model description of Object: This type represents the relationship between 2 columns in a foreign key, unique key relationship.
`static java.lang.String` | `KEYWORD` Model description of Object: The name attribute of this object is a single word that can be used to identify this object, or a set of objects.
`static java.lang.String` | `LEVEL` Model description of Object: A grouping of information that can be arranged in a hierarchy.
`static java.lang.String` | `LOCALIZEDRESOURCE` Model description of Object: This type is associated with a particular locale and contains a name/value pair used for displaying information about a Property.
`static java.lang.String` | `LOCALIZEDTYPE` Model description of Object: This is the supertype for all of the types that have localized resources.
`static java.lang.String` | `LOCATION` Model description of Object: This type represents a location that includes a type (is it a street address, or an office number), as well as address information (street, city, country).
`static java.lang.String` | `LOGICALCOLUMN` Model description of Object: This type is the supertype for Column which is part of a relational table, and Measure, which is used with OLAP types.
`static java.lang.String` | `LOGICALSERVER` Model description of Object: Used to define a homogeneous group of servers.
`static java.lang.String` | `LOGIN` Model description of Object: This type represents login information for a given user in a given authentication domain.
`static java.lang.String` | `MACHINE` Model description of Object: This type represents a physical machine.
`static java.lang.String` | `MEASURE` Model description of Object: Measure for OLAP
`static java.lang.String` | `MEMORY` Model description of Object: This represents a result of a transformation that resides in memory on the server.
`static java.lang.String` | `MININGRESULT` Model description of Object: SAS Enterprise Miner Models
`static java.lang.String` | `NAMEDSERVICE` Model description of Object: This type describes the name of the service and how the name is used (as rebind, bind, or lookup).
`static java.lang.String` | `NUMERICEXTENSION` Model description of Object: This allows an application to create a numeric extension to any object.
`static java.lang.String` | `OLAPPROPERTY` Model description of Object: OLAPProperty is an attribute associated with members of a given dimension level.
`static java.lang.String` | `OLAPSCHEMA` Model description of Object: This is a grouping of Cubes accessible from an OLAP server.
`static int` | `OMI_ALL` (1) specifies that the method get all of the properties of the requested object.
`static int` | `OMI_ALL_DESCENDANTS` (64) Returns all subtypes along with all of their descendants
`static int` | `OMI_ALL_SIMPLE` (8) specifies that the method get all of the attributes of the requested object.
`static int` | `OMI_CI_DELETE_ALL` (33) Deletes fetched as well as checked and new metadata objects from a project repository upon check in to a primary repository
`static int` | `OMI_CI_NODELETE` (524288) Keeps copies of checked, fetched, and new metadata objects in a project repository after check in to a primary repository.
`static int` | `OMI_CLIENT_ID` (8388608) Client is supplying repository ID on AddMetadata of REPOS.
`static int` | `OMI_DELETE` (32) Deletes the files in a repository in addition to the repository registration.
`static int` | `OMI_DEPENDENCY_USEDBY` (16384) In GetMetadata, specifies to look for cross-repository references in repositories that use the current repository.
`static int` | `OMI_DEPENDENCY_USES` (8192) Specifies to retrieve objects of the passed type from all repositories that have a DependencyUses dependency
`static int` | `OMI_EXPAND` Deprecated. This flag is no longer used by the server. This flag value is now used by OMI_FULL_OBJECT which uses the public type template to return the full object.
`static int` | `OMI_FULL_OBJECT` (2) This flag instructs the server to use the public type template to return all the objects that comprise this data element.
`static int` | `OMI_GET_METADATA` (256) Specifies to execute a GetMetadata call for each object that is returned by the GetMetadataObjects request.
`static int` | `OMI_GET_OBJREF` (4096)
`static int` | `OMI_IGNORE_NOTFOUND` (134217728) This flag is for DeleteMetadata to tell it to ignore objects not found so that it will not return on error.
`static int` | `OMI_INCLUDE_SUBTYPES` (16) Specifies to retrieve metadata objects that are subtypes of the passed metadata type in addition to objects of the passed type.
`static int` | `OMI_LOCK` (32768) Locks the specified object and any associated objects selected by GetMetadata flags and options from update by other users.
`static int` | `OMI_LOCK_TEMPLATE` (65536) In GetMetadata, specifies to lock the associated objects specified in a user-defined lock template instead of associated objects requested by the method.
`static int` | `OMI_MATCH_CASE` (512) Specifies to perform a case-sensitive search of the criteria specified in the option.
`static int` | `OMI_MULT_REQUEST` (1073741824)
`static int` | `OMI_NOEXPAND_DUPS` (524288) If an object has already been expanded once in a GetMetadata call, this flag turns off any metadata expansion of subsequent occurrences of the object in that call.
`static int` | `OMI_NOFORMAT` (67108864) Do not format time values returned from the server.
`static int` | `OMI_PURGE` (1048576) Removes previously deleted metadata from a repository without disturbing the current metadata objects.
`static int` | `OMI_REINIT` (2097152) Deletes the contents of a repository but does not remove the repository's registration from the repository manager.
`static int` | `OMI_RETURN_LIST` (1024) Returns a list of deleted object IDs, as well as any cascading object IDs that were deleted.
`static int` | `OMI_SUCCINCT` (2048) specifies to omit properties that do not contain values or that contain null values.
`static int` | `OMI_TEMPLATE` (4) checks the Options parameter for one or more user-defined templates that specify the properties to return for a given metadata type.
`static int` | `OMI_TRUNCATE` (4194304) Deletes all metadata objects but does not remove the metadata object containers from a repository or change the repository's registration.
`static int` | `OMI_TRUSTED_CLIENT` (268435456)Determines if the client can call this method.
`static int` | `OMI_UNLOCK` (131072) Unlocks the specified object and any associated objects that were locked when the update is completed
`static int` | `OMI_UNLOCK_FORCE` (262144) Unlocks any locks held by another user so that a metadata object can be updated.
`static int` | `OMI_XMLSELECT` (128) Checks the Options parameter for criteria to qualify the objects that are returned by the server.
`static java.lang.String` | `ONCLAUSE` Model description of Object: DEPRECATED: This type represents an SQL ON clause.
`static java.lang.String` | `OPENCLIENTCONNECTION` Model description of Object: This abstract type represents the connection information needed by an open client to access a deployed component.
`static java.lang.String` | `ORDERBYCLAUSE` Model description of Object: Has an association to columns used to order the data.
`static java.lang.String` | `PERMISSION` Model description of Object: Permission
`static java.lang.String` | `PERMISSIONCONDITION` Model description of Object: PermissionCondition
`static java.lang.String` | `PERSON` Model description of Object: This type represents the information kept about a person.
`static java.lang.String` | `PHONE` Model description of Object: A phone number and the type of phone number (home, office, mobile, fax).
`static java.lang.String` | `PHYSICALTABLE` Model description of Object: A PhysicalTable is the "materialized" table that resides in a database or a file system.
`static java.lang.String` | `PROMPT` Model description of Object: For use by the SAS Prompt Interface.
`static java.lang.String` | `PROMPTGROUP` Model description of Object: For use by the SAS Prompt Interface.
`static java.lang.String` | `PROPERTY` Model description of Object: A parameter, option or other type of information that is used to tailor a metadata object.
`static java.lang.String` | `PROPERTYGROUP` Model description of Object: This represents a group of properties.
`static java.lang.String` | `PROPERTYSET` Model description of Object: This contains a set of properties to be used in a particular context.
`static java.lang.String` | `PROPERTYTYPE` Model description of Object: This contains a property type and its validators, customizers, and editors.
`static java.lang.String` | `PROPERTYTYPE_BOOLEAN`
`static java.lang.String` | `PROPERTYTYPE_COLOR`
`static java.lang.String` | `PROPERTYTYPE_DATE`
`static java.lang.String` | `PROPERTYTYPE_FILENAME`
`static java.lang.String` | `PROPERTYTYPE_FLOAT`
`static java.lang.String` | `PROPERTYTYPE_GENERIC`
`static java.lang.String` | `PROPERTYTYPE_INTEGER`
`static java.lang.String` | `PROPERTYTYPE_MULTILINE`
`static java.lang.String` | `PROPERTYTYPE_STRING`
`static java.lang.String` | `PROTOTYPE` Model description of Object: This type represents a prototype or template for a type of metadata.
`static java.lang.String` | `PROTOTYPEPROPERTY` Model description of Object: This is the super type for types that define properties that are for prototype objects only.
`static java.lang.String` | `PSCOLUMNLAYOUTCOMPONENT` Model description of Object: Provides the information needed to lay a PortalPage out in columns.
`static java.lang.String` | `PSLAYOUTCOMPONENT` Model description of Object: A UI element that designates how Portlets should be laid out on a PortalPage.
`static java.lang.String` | `PSPORTALPAGE` Model description of Object: A PortalPage gathers and displays information in the Portal, and can be customized.
`static java.lang.String` | `PSPORTALPROFILE` Model description of Object: A Portal user's Portal information, which defines the basic functionality of the Portal
`static java.lang.String` | `PSPORTLET` Model description of Object: A component that perfomrs a specific task within a Portal.
`static java.lang.String` | `QUERYCLAUSE` Model description of Object: This abstract type represents types that are used to define the transformations that are performed.
`static java.lang.String` | `QUERYTABLE` Model description of Object: Result set of a query.
`static java.lang.String` | `RELATIONALSCHEMA` Model description of Object: This is an abstract type that acts as the supertype for any type that can contain table objects.
`static java.lang.String` | `RELATIONALTABLE` Model description of Object: This type represents a relational table, one that does not have a physical representation.
`static java.lang.String` | `REPORT` Model description of Object: This type represents the result of data being transformed into a report.
`static java.lang.String` | `REPOS_PROTOCOL_DAV`
`static java.lang.String` | `REPOS_PROTOCOL_HIBERNATE`
`static java.lang.String` | `REPOS_PROTOCOL_OMI`
`static java.lang.String` | `RESPONSIBLEPARTY` Model description of Object: This type is used to associate a set of Person objects with a particular role or responsibility.
`static java.lang.String` | `ROLE` Model description of Object: This object describes a role of of an object, and the context of the role.
`static java.lang.String` | `ROOT` Model description of Object: This is an abstract type that is the supertype for all of the other metadata types.
`static java.lang.String` | `ROWSELECTOR` Model description of Object: Used to document a SAS datastep select statement.
`static java.lang.String` | `SASCATALOG` Model description of Object: SASCatalog
`static java.lang.String` | `SASCATALOGENTRY` Model description of Object: This type represents a SAS catalog entry.
`static java.lang.String` | `SASCLIENTCONNECTION` Model description of Object: This type represents the information needed by SAS software to connect to other servers.
`static java.lang.String` | `SASFILEREF` Model description of Object: This type represents a SAS fileref.
`static java.lang.String` | `SASLIBRARY` Model description of Object: This type represents a SAS library statement.
`static java.lang.String` | `SASLICENSE` Model description of Object: This type is used to document the setinit information for SAS products.
`static java.lang.String` | `SASPASSWORD` Model description of Object: This type represents the storage of SAS passwords for SAS tables or Connections.
`static java.lang.String` | `SECURITYRULE` Model description of Object: This is an abstract class from which other "SecurityRules" will derrive.
`static java.lang.String` | `SECURITYRULESCHEME` Model description of Object: This class is used to group SecurityRules into a unit.
`static java.lang.String` | `SECURITYTYPECONTAINMENTRULE` Model description of Object: A SecurityTypeContainmentRule tells the authorization facility how find parent objects for a particular metadata type.
`static java.lang.String` | `SELECT` Model description of Object: Used to document an SQL select statement.
`static java.lang.String` | `SERVERCOMPONENT` Model description of Object: Represents server components that are configured to run.
`static java.lang.String` | `SERVERCONTEXT` Model description of Object: Used to define an application context for non-homogeneous group servers.
`static java.lang.String` | `SERVICECOMPONENT` Model description of Object:
`static java.lang.String` | `SERVICETYPE` Model description of Object: The types of services available from a DeployedComponent.
`static java.lang.String` | `SHAREDDIMENSION` Model description of Object: Shared dimension is contained by its schema and may be used by more than one cube.
`static java.lang.String` | `SOFTWARECOMPONENT` Model description of Object: A component is the representation an application.
`static java.lang.String` | `STEPPRECEDENCE` Model description of Object: The preceding and succeeding steps.
`static java.lang.String` | `STREAM` Model description of Object: This type represents a stream of data.
`static java.lang.String` | `SUMMARYSTATS` Model description of Object: DEPRECATED: SummaryStats
`static java.lang.String` | `SXLEMAP` Model description of Object: DRAFT: Root node for SXLE map definition.
`static java.lang.String` | `SYNCSTEP` Model description of Object: The SyncStep is used to help define a workflow.
`static java.lang.String` | `TABLECOLLECTION` Model description of Object: A classifier that defines a set of tables which all share the same characteristics but that should be treated as one classifer for display purposes.
`static java.lang.String` | `TARGET` Model description of Object:
`static java.lang.String` | `TCPIPCONNECTION` Model description of Object: This type contains information for making a TCP/IP connection to a server.
`static java.lang.String` | `TESTCAT` Model description of Object: This is a testing class that contains no required attributes or associations
`static java.lang.String` | `TESTFLEA` Model description of Object: Test0N
`static java.lang.String` | `TESTGRANDKITTEN` Model description of Object:
`static java.lang.String` | `TESTKITTEN` Model description of Object:
`static java.lang.String` | `TESTLEG` Model description of Object: Test1N
`static java.lang.String` | `TESTMOUSE` Model description of Object: Test01
`static java.lang.String` | `TESTREQATTRS` Model description of Object: This type introduces required attributes
`static java.lang.String` | `TESTROOT` Model description of Object: This is a testing class that contains no required attributes or associations
`static java.lang.String` | `TEXT` Model description of Object: This is a superclass for files, SAS catalog entries and text stored in the repository itself.
`static java.lang.String` | `TEXTSTORE` Model description of Object: This class represents storing text in the repository.
`static java.lang.String` | `TIMESTAMP` Model description of Object: This object contains a timestamp and the role of the timestamp.
`static java.lang.String` | `TRANSFORMATION` Model description of Object: This type is used for generic transformations such as stored procedures.
`static java.lang.String` | `TRANSFORMATIONACTIVITY` Model description of Object: TransformationActivity contains TransformationSteps.
`static java.lang.String` | `TRANSFORMATIONSTEP` Model description of Object: TransformationStep contains mapping objects.
`static java.lang.String` | `TREE` Model description of Object: This type represents a tree which is the root node for a hierarchy of groups of metadata.
`static java.lang.String` | `TSNAMEOBJECT` Model description of Object:
`static java.lang.String` | `TSNAMESPACE` Model description of Object:
`static java.lang.String` | `TYPEDEFINITION` Model description of Object: Type definition is used to describe members of the object type dictionary.
`static java.lang.String` | `UNIQUEKEY` Model description of Object: This type is a representation of the unique and primary keys of a table.
`static java.lang.String` | `UNITOFTIME` Model description of Object:
`static java.lang.String` | `VARIABLE` Model description of Object: Used to help define substitution strings and the replacement values.
`static java.lang.String` | `WHERECLAUSE` Model description of Object: DEPRECATED: This type represents a Where SQL Clause.
`static java.lang.String` | `WORKTABLE` Model description of Object: This type represents a table that is created as part of running SAS code that is not intended to be persisted.
`static java.lang.String` | `XPATH` Model description of Object: DRAFT: Used to describe an XPath location path.

Field Detail

### REPOS_PROTOCOL_OMI

    static final java.lang.String REPOS_PROTOCOL_OMI

See Also:
  Constant Field Values

### REPOS_PROTOCOL_HIBERNATE

    static final java.lang.String REPOS_PROTOCOL_HIBERNATE

See Also:
  Constant Field Values

### REPOS_PROTOCOL_DAV

    static final java.lang.String REPOS_PROTOCOL_DAV

See Also:
  Constant Field Values

### PROPERTYTYPE_BOOLEAN

    static final java.lang.String PROPERTYTYPE_BOOLEAN

See Also:
  Constant Field Values

### PROPERTYTYPE_INTEGER

    static final java.lang.String PROPERTYTYPE_INTEGER

See Also:
  Constant Field Values

### PROPERTYTYPE_STRING

    static final java.lang.String PROPERTYTYPE_STRING

See Also:
  Constant Field Values

### PROPERTYTYPE_MULTILINE

    static final java.lang.String PROPERTYTYPE_MULTILINE

See Also:
  Constant Field Values

### PROPERTYTYPE_FLOAT

    static final java.lang.String PROPERTYTYPE_FLOAT

See Also:
  Constant Field Values

### PROPERTYTYPE_DATE

    static final java.lang.String PROPERTYTYPE_DATE

See Also:
  Constant Field Values

### PROPERTYTYPE_COLOR

    static final java.lang.String PROPERTYTYPE_COLOR

See Also:
  Constant Field Values

### PROPERTYTYPE_FILENAME

    static final java.lang.String PROPERTYTYPE_FILENAME

See Also:
  Constant Field Values

### PROPERTYTYPE_GENERIC

    static final java.lang.String PROPERTYTYPE_GENERIC

See Also:
  Constant Field Values

### OMI_ALL

    static final int OMI_ALL

  (1) specifies that the method get all of the properties of the requested object. If the XML stream returns a reference to any associated objects, then the method will return only general, identifying information for the associated objects.

  See Also:
    Constant Field Values

### OMI_EXPAND

    static final int OMI_EXPAND

  Deprecated. This flag is no longer used by the server. This flag value is now used by OMI_FULL_OBJECT which uses the public type template to return the full object.
  (2) specifies that references to associated objects be expanded to return all of the properties of each associated object. This flag is typically used with the OMI_ALL flag to return all of the properties of associated objects in addition to those of the requested object. Refer to the SAS Namespace Types documentation to determine which associations can be expanded.

  See Also:
    Constant Field Values

### OMI_FULL_OBJECT

    static final int OMI_FULL_OBJECT

  (2) This flag instructs the server to use the public type template to return all the objects that comprise this data element.

  See Also:
    Constant Field Values

### OMI_TEMPLATE

    static final int OMI_TEMPLATE

  (4) checks the Options parameter for one or more user-defined templates that specify the properties to return for a given metadata type. The templates are passed in a element in the Options parameter.

  See Also:
    Constant Field Values

### OMI_ALL_SIMPLE

    static final int OMI_ALL_SIMPLE

  (8) specifies that the method get all of the attributes of the requested object.

  See Also:
    Constant Field Values

### OMI_INCLUDE_SUBTYPES

    static final int OMI_INCLUDE_SUBTYPES

  (16) Specifies to retrieve metadata objects that are subtypes of the passed metadata type in addition to objects of the passed type. If OMI_XMLSELECT is also specified, it will affect the metadata and subtypes that are retrieved.

  See Also:
    Constant Field Values

### OMI_DELETE

    static final int OMI_DELETE

  (32) Deletes the files in a repository in addition to the repository registration. This flag is reserved for the Repository Administrator and works only in the REPOS namespace on the RepositoryBase type

  See Also:
    Constant Field Values

### OMI_CI_DELETE_ALL

    static final int OMI_CI_DELETE_ALL

  (33) Deletes fetched as well as checked and new metadata objects from a project repository upon check in to a primary repository

  See Also:
    Constant Field Values

### OMI_ALL_DESCENDANTS

    static final int OMI_ALL_DESCENDANTS

  (64) Returns all subtypes along with all of their descendants

  See Also:
    Constant Field Values

### OMI_XMLSELECT

    static final int OMI_XMLSELECT

  (128) Checks the Options parameter for criteria to qualify the objects that are returned by the server. The criteria are specified in a search string that is passed in the option. See Using the OMI_XMLSelect Option for more information.

  See Also:
    Constant Field Values

### OMI_GET_METADATA

    static final int OMI_GET_METADATA

  (256) Specifies to execute a GetMetadata call for each object that is returned by the GetMetadataObjects request. See Using the OMI_GET_METADATA Flag for more information.

  See Also:
    Constant Field Values

### OMI_MATCH_CASE

    static final int OMI_MATCH_CASE

  (512) Specifies to perform a case-sensitive search of the criteria specified in the option. The OMI_MATCH_CASE flag cannot be used without the OMI_XMLSELECT flag.

  See Also:
    Constant Field Values

### OMI_RETURN_LIST

    static final int OMI_RETURN_LIST

  (1024) Returns a list of deleted object IDs, as well as any cascading object IDs that were deleted.

  See Also:
    Constant Field Values

### OMI_SUCCINCT

    static final int OMI_SUCCINCT

  (2048) specifies to omit properties that do not contain values or that contain null values.

  See Also:
    Constant Field Values

### OMI_GET_OBJREF

    static final int OMI_GET_OBJREF

  (4096)

  See Also:
    Constant Field Values

### OMI_DEPENDENCY_USES

    static final int OMI_DEPENDENCY_USES

  (8192) Specifies to retrieve objects of the passed type from all repositories that have a DependencyUses dependency

  See Also:
    Constant Field Values

### OMI_DEPENDENCY_USEDBY

    static final int OMI_DEPENDENCY_USEDBY

  (16384) In GetMetadata, specifies to look for cross-repository references in repositories that use the current repository. In GetMetadataObjects, specifies to retrieve objects of the passed type from all repositories that have a DependencyUsedBy dependency.

  See Also:
    Constant Field Values

### OMI_LOCK

    static final int OMI_LOCK

  (32768) Locks the specified object and any associated objects selected by GetMetadata flags and options from update by other users.

  See Also:
    Constant Field Values

### OMI_LOCK_TEMPLATE

    static final int OMI_LOCK_TEMPLATE

  (65536) In GetMetadata, specifies to lock the associated objects specified in a user-defined lock template instead of associated objects requested by the method. In the other methods, overrides the default OMA lock template with a user-supplied template. In all cases, the user-defined lock template is submitted in a element in the Options parameter.

  See Also:
    Constant Field Values

### OMI_UNLOCK

    static final int OMI_UNLOCK

  (131072) Unlocks the specified object and any associated objects that were locked when the update is completed

  See Also:
    Constant Field Values

### OMI_UNLOCK_FORCE

    static final int OMI_UNLOCK_FORCE

  (262144) Unlocks any locks held by another user so that a metadata object can be updated.

  See Also:
    Constant Field Values

### OMI_CI_NODELETE

    static final int OMI_CI_NODELETE

  (524288) Keeps copies of checked, fetched, and new metadata objects in a project repository after check in to a primary repository.

  See Also:
    Constant Field Values

### OMI_NOEXPAND_DUPS

    static final int OMI_NOEXPAND_DUPS

  (524288) If an object has already been expanded once in a GetMetadata call, this flag turns off any metadata expansion of subsequent occurrences of the object in that call. Note: This flag has the same value as OMI_CI_NODELETE, which will soon become obsolete.

  See Also:
    Constant Field Values

### OMI_PURGE

    static final int OMI_PURGE

  (1048576) Removes previously deleted metadata from a repository without disturbing the current metadata objects.

  See Also:
    Constant Field Values

### OMI_REINIT

    static final int OMI_REINIT

  (2097152) Deletes the contents of a repository but does not remove the repository's registration from the repository manager.

  See Also:
    Constant Field Values

### OMI_TRUNCATE

    static final int OMI_TRUNCATE

  (4194304) Deletes all metadata objects but does not remove the metadata object containers from a repository or change the repository's registration.

  See Also:
    Constant Field Values

### OMI_CLIENT_ID

    static final int OMI_CLIENT_ID

  (8388608) Client is supplying repository ID on AddMetadata of REPOS.

  See Also:
    Constant Field Values

### OMI_NOFORMAT

    static final int OMI_NOFORMAT

  (67108864) Do not format time values returned from the server.

  See Also:
    Constant Field Values

### OMI_IGNORE_NOTFOUND

    static final int OMI_IGNORE_NOTFOUND

  (134217728) This flag is for DeleteMetadata to tell it to ignore objects not found so that it will not return on error.

  See Also:
    Constant Field Values

### OMI_TRUSTED_CLIENT

    static final int OMI_TRUSTED_CLIENT

  (268435456)Determines if the client can call this method. This flag is currently required.

  See Also:
    Constant Field Values

### OMI_MULT_REQUEST

    static final int OMI_MULT_REQUEST

  (1073741824)

  See Also:
    Constant Field Values

### CLSID_SAS_WORKSPACE

    static final java.lang.String CLSID_SAS_WORKSPACE

  The class id of the classic SAS server: 440196d4-90f0-11d0-9f41-00a024bb830c

  See Also:
    Constant Field Values

### CLSID_SASSTP_STOREDPROCESSSERVER

    static final java.lang.String CLSID_SASSTP_STOREDPROCESSSERVER

  The class id of SAS/Intrnet V9: 15931e31-667f-11d5-8804-00c04f35ac8c

  See Also:
    Constant Field Values

### CLSID_SASOMI_OMI

    static final java.lang.String CLSID_SASOMI_OMI

  The class id of the OMR server: 2887e7d7-4780-11d4-879f-00c04f38f0db

  See Also:
    Constant Field Values

### CLSID_SASMDX_SERVER

    static final java.lang.String CLSID_SASMDX_SERVER

  The class id of OLAP V9: f3f46472-1e31-11d5-87c2-00c04f38f9f6

  See Also:
    Constant Field Values

### CLSID_SASGMS_GMS

    static final java.lang.String CLSID_SASGMS_GMS

  The class id of the generic server: 9c186a64-83e4-11d2-b956-00c04f81993c

  See Also:
    Constant Field Values

### CLSID_SASMQX_MQX

    static final java.lang.String CLSID_SASMQX_MQX

  the class id of the message queue server: 8d9ef489-8d1e-11d2-b94f-00c04f8198c0

  See Also:
    Constant Field Values

### CLASSID_HTTP

    static final java.lang.String CLASSID_HTTP

  The Class ID for a HTTP server: DAC0D7F0-10DA-11D6-8816- AA0004006D06

  See Also:
    Constant Field Values

### CLASSID_FTP

    static final java.lang.String CLASSID_FTP

  The class ID for a FTP server: CBA26437-1577-4FF8-93F6-9B68B4DD8D2E

  See Also:
    Constant Field Values

### ABSTRACTEXTENSION

    static final java.lang.String ABSTRACTEXTENSION

  Model description of Object: The parent type for Extension and NumericExtension

  See Also:
    Constant Field Values

### ABSTRACTJOB

    static final java.lang.String ABSTRACTJOB

  Model description of Object:

  See Also:
    Constant Field Values

### ABSTRACTPROMPT

    static final java.lang.String ABSTRACTPROMPT

  Model description of Object: Abstract prompt is the parent class for types used by the SAS Prompt Interface.

  See Also:
    Constant Field Values

### ABSTRACTPROPERTY

    static final java.lang.String ABSTRACTPROPERTY

  Model description of Object: This is the supertype for all of the property types.

  See Also:
    Constant Field Values

### ABSTRACTTRANSFORMATION

    static final java.lang.String ABSTRACTTRANSFORMATION

  Model description of Object: The parent type for transformation types. Transformation types are used to document transformation of data. This includes extraction, transformation, and loading of data, stored procedures, and logical to physical mappings.

  See Also:
    Constant Field Values

### ACCESSCONTROL

    static final java.lang.String ACCESSCONTROL

  Model description of Object:

  See Also:
    Constant Field Values

### ACCESSCONTROLENTRY

    static final java.lang.String ACCESSCONTROLENTRY

  Model description of Object: AccessControlEntry

  See Also:
    Constant Field Values

### ACCESSCONTROLTEMPLATE

    static final java.lang.String ACCESSCONTROLTEMPLATE

  Model description of Object: AccessControlTemplate

  See Also:
    Constant Field Values

### AGGREGATEASSOCIATION

    static final java.lang.String AGGREGATEASSOCIATION

  Model description of Object: DEPRECATED: This type associates an Aggregation to either a Level or a Measure and to the physical object (Column or some other persistence object) that contains the data.

  See Also:
    Constant Field Values

### AGGREGATION

    static final java.lang.String AGGREGATION

  Model description of Object: This type represents aggregations stored in a multidimensional object, or mapped to other data objects.

  See Also:
    Constant Field Values

### ANALYTICCOLUMN

    static final java.lang.String ANALYTICCOLUMN

  Model description of Object: Analytic attributes to apply to a column.

  See Also:
    Constant Field Values

### ANALYTICTABLE

    static final java.lang.String ANALYTICTABLE

  Model description of Object: Analytic attributes to apply to a table.

  See Also:
    Constant Field Values

### ARCHIVEENTRY

    static final java.lang.String ARCHIVEENTRY

  Model description of Object: This is an entry in an archive file.

  See Also:
    Constant Field Values

### ARCHIVEFILE

    static final java.lang.String ARCHIVEFILE

  Model description of Object: This type represents an archive, such as a tar file or a zip file, which may contain entries.

  See Also:
    Constant Field Values

### ASSOCIATIONPROPERTY

    static final java.lang.String ASSOCIATIONPROPERTY

  Model description of Object: This property defines an association between Prototype objects.

  See Also:
    Constant Field Values

### ATTRIBUTEPROPERTY

    static final java.lang.String ATTRIBUTEPROPERTY

  Model description of Object: This type is used to describe an Attribute of a particular metadata type.

  See Also:
    Constant Field Values

### AUTHENTICATIONDOMAIN

    static final java.lang.String AUTHENTICATIONDOMAIN

  Model description of Object: This type represents an authentication domain. A set of credentials (such as userid/password) can be used to access a set of servers that share an authentication domain.

  See Also:
    Constant Field Values

### CALCULATEDMEASURE

    static final java.lang.String CALCULATEDMEASURE

  Model description of Object: CalculatedMeasure is a definition of a new measure within a cube.

  See Also:
    Constant Field Values

### CHANGE

    static final java.lang.String CHANGE

  Model description of Object: DRAFT. A change made to the repository.

  See Also:
    Constant Field Values

### CLASSIFIER

    static final java.lang.String CLASSIFIER

  Model description of Object: A classifier is an element that describes structural and behavioral features. In the metamodel, a Classifier may declare a collection of Features. Classifier is an abstract metaclass.

  See Also:
    Constant Field Values

### CLASSIFIERMAP

    static final java.lang.String CLASSIFIERMAP

  Model description of Object: ClassifierMap is used to Map any number of Classifier objects to any number of Classifier objects.

  See Also:
    Constant Field Values

### COLUMN

    static final java.lang.String COLUMN

  Model description of Object: This type represents a column in a table, view, etc.

  See Also:
    Constant Field Values

### COLUMNRANGE

    static final java.lang.String COLUMNRANGE

  Model description of Object: Represents a range of columns.

  See Also:
    Constant Field Values

### COMCONNECTION

    static final java.lang.String COMCONNECTION

  Model description of Object: This type represents a COM connection. The communication and application protocol attributes should be set to "COM".

  See Also:
    Constant Field Values

### CONDITIONALPRECEDENCE

    static final java.lang.String CONDITIONALPRECEDENCE

  Model description of Object:

  See Also:
    Constant Field Values

### CONFIGUREDCOMPONENT

    static final java.lang.String CONFIGUREDCOMPONENT

  Model description of Object: Installed software that has configuration information in addition to the licensing information.

  See Also:
    Constant Field Values

### CONNECTION

    static final java.lang.String CONNECTION

  Model description of Object: This type represents the information required to connect to a server. It is associated with the deployed component, i.e. server, that can be accessed using the connection information. It may also be associated with the deployed components that can use the connection information to access the server..

  See Also:
    Constant Field Values

### CONTENTLOCATION

    static final java.lang.String CONTENTLOCATION

  Model description of Object: This is the supertype for all types that provide location information.

  See Also:
    Constant Field Values

### CONTENTTYPE

    static final java.lang.String CONTENTTYPE

  Model description of Object: A content type for each supported type will be created in the metadata. Content creators will associate content with a ContentType. This will allow application that deliver content to determine if content may be displayed and/or the best way to display the content.

  See Also:
    Constant Field Values

### CUBE

    static final java.lang.String CUBE

  Model description of Object: A logical, multidimensional object comprised of a set of cube regions. Each Cube is associated with a set of dimensions, hierarchies, and measures.

  See Also:
    Constant Field Values

### CUSTOMASSOCIATION

    static final java.lang.String CUSTOMASSOCIATION

  Model description of Object: Draft: The object is subject to change during development of 9.2. Do not use without first consulting with the metadata group. Contact: Liz McIntosh

  See Also:
    Constant Field Values

### DATABASECATALOG

    static final java.lang.String DATABASECATALOG

  Model description of Object:

  See Also:
    Constant Field Values

### DATABASESCHEMA

    static final java.lang.String DATABASESCHEMA

  Model description of Object: This type represents a schema in a relational database. Schemas can contain database tables and views.

  See Also:
    Constant Field Values

### DATASOURCENAME

    static final java.lang.String DATASOURCENAME

  Model description of Object:

  See Also:
    Constant Field Values

### DATATABLE

    static final java.lang.String DATATABLE

  Model description of Object: This is an abstract type that represents an object that contains a set of columns.

  See Also:
    Constant Field Values

### DEPLOYEDCOMPONENT

    static final java.lang.String DEPLOYEDCOMPONENT

  Model description of Object: A deployed component is the representation of installed software. This software may be or may not be licensed as indicated by the IsLicensed attribute.

  See Also:
    Constant Field Values

### DEPLOYEDDATAPACKAGE

    static final java.lang.String DEPLOYEDDATAPACKAGE

  Model description of Object: A Deployed Data Package is a container of data files (files that contain data) or other Deployed Data Packages. This type has associations with DeployedComponents that can access the package. This type could be a directory, a database catalog or schema or a SAS library. For example, this data package allows you to have different library definitions that all access the same set of files. These different library definitions would be associated to the SAS DeployedComponent that can use those library definitions. Database schemas and catalogs should be associated with the DBMS that provides access to those packages.

  See Also:
    Constant Field Values

### DEVICE

    static final java.lang.String DEVICE

  Model description of Object: This type is used to describe location information for SAS Filerefs using the following engines: PIPE PLOTTER PRINTER TAPE TERMINAL XPRINTER

  See Also:
    Constant Field Values

### DEVICETYPE

    static final java.lang.String DEVICETYPE

  Model description of Object: This type is used to define a prototype for a specific supported device.

  See Also:
    Constant Field Values

### DIMENSION

    static final java.lang.String DIMENSION

  Model description of Object: A categorization of information. Examples are time, geography, product.

  See Also:
    Constant Field Values

### DIRECTORY

    static final java.lang.String DIRECTORY

  Model description of Object: A directory represents a physical operating system path.

  See Also:
    Constant Field Values

### DOCUMENT

    static final java.lang.String DOCUMENT

  Model description of Object: A Document is a web page that contains documentation pertinent to the object to which this document is related.

  See Also:
    Constant Field Values

### EMAIL

    static final java.lang.String EMAIL

  Model description of Object: An e-mail address.

  See Also:
    Constant Field Values

### EMMODEL

    static final java.lang.String EMMODEL

  Model description of Object: SAS Enterprise Miner Models

  See Also:
    Constant Field Values

### EMRULES

    static final java.lang.String EMRULES

  Model description of Object: This type represents Enterprise Miner Rules

  See Also:
    Constant Field Values

### EVENT

    static final java.lang.String EVENT

  Model description of Object: An event is something that describes a condition that occurs that drives other things, such as jobs, to be processed.

  See Also:
    Constant Field Values

### EXTENSION

    static final java.lang.String EXTENSION

  Model description of Object:

  See Also:
    Constant Field Values

### EXTERNALIDENTITY

    static final java.lang.String EXTERNALIDENTITY

  Model description of Object: DRAFT: This is an ID associated with the object in some other context, such as a GUID or DN for LDAP .

  See Also:
    Constant Field Values

### EXTERNALTABLE

    static final java.lang.String EXTERNALTABLE

  Model description of Object: This type represents an table in an external data file.

  See Also:
    Constant Field Values

### FEATURE

    static final java.lang.String FEATURE

  Model description of Object: A feature is a property which is encapsulated within a Classifier. In the metamodel, a Feature declares a structural or behavioral characteristic of an instance of a Classifier or of the Classifier itself. Feature is an abstract metaclass.

  See Also:
    Constant Field Values

### FEATUREMAP

    static final java.lang.String FEATUREMAP

  Model description of Object: FeaturerMap is used to Map any number of Feature objects to any number of Feature objects.

  See Also:
    Constant Field Values

### FILE

    static final java.lang.String FILE

  Model description of Object: The type represents a file in the file system

  See Also:
    Constant Field Values

### FITSTATISTIC

    static final java.lang.String FITSTATISTIC

  Model description of Object: Usually a measure of the accuracy of a predicted value. Maybe a measure of the accuracy/performance of the model.

  See Also:
    Constant Field Values

### FOREIGNKEY

    static final java.lang.String FOREIGNKEY

  Model description of Object: This type represents the fact that a table has a foreign key in it to another table.

  See Also:
    Constant Field Values

### GLOBALFORMULA

    static final java.lang.String GLOBALFORMULA

  Model description of Object: GlobalFormula is a definition of a new member or named set for a dimension within a cube.

  See Also:
    Constant Field Values

### GROUP

    static final java.lang.String GROUP

  Model description of Object: This type represents the ability to group metadata together.

  See Also:
    Constant Field Values

### GROUPBYCLAUSE

    static final java.lang.String GROUPBYCLAUSE

  Model description of Object: Has an association to the columns used to group this data.

  See Also:
    Constant Field Values

### HAVINGCLAUSE

    static final java.lang.String HAVINGCLAUSE

  Model description of Object: DEPRECATED: This type represents a Having clause in an SQL statement.

  See Also:
    Constant Field Values

### HIERARCHY

    static final java.lang.String HIERARCHY

  Model description of Object: This type represents an OLAP hierarchy, ie. an ordered list of categorical information.

  See Also:
    Constant Field Values

### HIERARCHYLEVEL

    static final java.lang.String HIERARCHYLEVEL

  Model description of Object: HierarchyLevel represent a level within one and only one hierarchy. A level may participate in multiple heirarchies as represented by the levels association to HierarchyLevel objects. A HierachyLevel object is not deleted when a level is deleted, OLAP will instead collapse the hierarchy if the associated level object is not found.

  See Also:
    Constant Field Values

### IDENTITY

    static final java.lang.String IDENTITY

  Model description of Object: Identity - abstract class for objects which identify an entity.

  See Also:
    Constant Field Values

### IDENTITYGROUP

    static final java.lang.String IDENTITYGROUP

  Model description of Object: Grouping mechanism for identity objects. A IdentityGroup may also be a member of another IdentityGroup

  See Also:
    Constant Field Values

### INDEX

    static final java.lang.String INDEX

  Model description of Object: An index represents an index on a physical structure. It is tied to the columns that make up the index.

  See Also:
    Constant Field Values

### ITCHANNEL

    static final java.lang.String ITCHANNEL

  Model description of Object: A content distribution center. A channel is sort of like a mailing list. A list of subscriber entries is maintined, and new content can be published to that list. It's also a content access point that aggregates published content with a common subject or intended for a common audience.

  See Also:
    Constant Field Values

### ITCONTENTSUBSCRIBER

    static final java.lang.String ITCONTENTSUBSCRIBER

  Model description of Object:

  See Also:
    Constant Field Values

### ITEVENTSUBSCRIBER

    static final java.lang.String ITEVENTSUBSCRIBER

  Model description of Object:

  See Also:
    Constant Field Values

### ITFILTER

    static final java.lang.String ITFILTER

  Model description of Object: A filter string is used to include or exclude content going to a specific subscriber. It can be used to filter entries in a package, or the entire package.

  See Also:
    Constant Field Values

### ITMAP

    static final java.lang.String ITMAP

  Model description of Object: Maps the parameters in a message for architectural translation.

  See Also:
    Constant Field Values

### ITMODEL

    static final java.lang.String ITMODEL

  Model description of Object: A queue prototype. Defines attributes for defining new queues.

  See Also:
    Constant Field Values

### ITMSMQMODEL

    static final java.lang.String ITMSMQMODEL

  Model description of Object: A model for Microsoft Message Queuing queues.

  See Also:
    Constant Field Values

### ITQUEUEALIAS

    static final java.lang.String ITQUEUEALIAS

  Model description of Object: Provides an alternate name for a queue.

  See Also:
    Constant Field Values

### ITRENDMODEL

    static final java.lang.String ITRENDMODEL

  Model description of Object: Model for defining a Rendezvous queue.

  See Also:
    Constant Field Values

### ITSUBSCRIBER

    static final java.lang.String ITSUBSCRIBER

  Model description of Object: A subscriber profile is used to control how published content is delivered to a user. Typical delivery mechanisms are mail, message queue or none. None is used by Portal users who will check the channel for new archived packages and view them on demand, rather than having them delivered at publication time.

  See Also:
    Constant Field Values

### ITTRANSPORTALIAS

    static final java.lang.String ITTRANSPORTALIAS

  Model description of Object: Alias for a queue service transport.

  See Also:
    Constant Field Values

### JFJOB

    static final java.lang.String JFJOB

  Model description of Object: Represents a job that has been or will be scheduled in the LSF JobFlow.

  See Also:
    Constant Field Values

### JOB

    static final java.lang.String JOB

  Model description of Object: Groups transformation activities to be an actual runtime unit.

  See Also:
    Constant Field Values

### JOIN

    static final java.lang.String JOIN

  Model description of Object: DEPRECATED: The output of a Join is limited to one JoinTable. A Join may have at most two inputs. A Join may not exist without a Select. For nested joins a Join should be documented for each pair of joined tables. For example: Table1 is joined to Table2 which results in JoinTable1. JoinTable1 is then joined with Table3 to create JoinTable2. JoinTable2 now acts as in input into a Select which documents the rows and columns that are to be included in the final output table.

  See Also:
    Constant Field Values

### JOINTABLE

    static final java.lang.String JOINTABLE

  Model description of Object: DEPRECATED: This type represents an instance of a join between two tables. This is used in the process submodel.

  See Also:
    Constant Field Values

### KEY

    static final java.lang.String KEY

  Model description of Object: This type represents a keys on tables.

  See Also:
    Constant Field Values

### KEYASSOCIATION

    static final java.lang.String KEYASSOCIATION

  Model description of Object: This type represents the relationship between 2 columns in a foreign key, unique key relationship. For example, if table a has a unique key of columns a1 and a2, and table b has a foreign key, of columns b1 and b2, into table a, there is a keyassociation between the columns that relate to each other, for ex. b1 to a1 and b2 to a2.

  See Also:
    Constant Field Values

### KEYWORD

    static final java.lang.String KEYWORD

  Model description of Object: The name attribute of this object is a single word that can be used to identify this object, or a set of objects.

  See Also:
    Constant Field Values

### LEVEL

    static final java.lang.String LEVEL

  Model description of Object: A grouping of information that can be arranged in a hierarchy. For example, levels of the time dimension could be year, quarter, month, week, day, hour, minute and second.

  See Also:
    Constant Field Values

### LOCALIZEDRESOURCE

    static final java.lang.String LOCALIZEDRESOURCE

  Model description of Object: This type is associated with a particular locale and contains a name/value pair used for displaying information about a Property. The 'Name' attribute of this type indicates what is being localized, ie Label, Description, Icon, Help,

  See Also:
    Constant Field Values

### LOCALIZEDTYPE

    static final java.lang.String LOCALIZEDTYPE

  Model description of Object: This is the supertype for all of the types that have localized resources. This is an abstract type.

  See Also:
    Constant Field Values

### LOCATION

    static final java.lang.String LOCATION

  Model description of Object: This type represents a location that includes a type (is it a street address, or an office number), as well as address information (street, city, country).

  See Also:
    Constant Field Values

### LOGICALCOLUMN

    static final java.lang.String LOGICALCOLUMN

  Model description of Object: This type is the supertype for Column which is part of a relational table, and Measure, which is used with OLAP types.

  See Also:
    Constant Field Values

### LOGICALSERVER

    static final java.lang.String LOGICALSERVER

  Model description of Object: Used to define a homogeneous group of servers.

  See Also:
    Constant Field Values

### LOGIN

    static final java.lang.String LOGIN

  Model description of Object: This type represents login information for a given user in a given authentication domain.

  See Also:
    Constant Field Values

### MACHINE

    static final java.lang.String MACHINE

  Model description of Object: This type represents a physical machine.

  See Also:
    Constant Field Values

### MEASURE

    static final java.lang.String MEASURE

  Model description of Object: Measure for OLAP

  See Also:
    Constant Field Values

### MEMORY

    static final java.lang.String MEMORY

  Model description of Object: This represents a result of a transformation that resides in memory on the server.

  See Also:
    Constant Field Values

### MININGRESULT

    static final java.lang.String MININGRESULT

  Model description of Object: SAS Enterprise Miner Models

  See Also:
    Constant Field Values

### NAMEDSERVICE

    static final java.lang.String NAMEDSERVICE

  Model description of Object: This type describes the name of the service and how the name is used (as rebind, bind, or lookup). This type is associated to one DeployedComponent which is being named, and to (possibly multiple) DeployedComponents which provide a naming service.

  See Also:
    Constant Field Values

### NUMERICEXTENSION

    static final java.lang.String NUMERICEXTENSION

  Model description of Object: This allows an application to create a numeric extension to any object.

  See Also:
    Constant Field Values

### OLAPPROPERTY

    static final java.lang.String OLAPPROPERTY

  Model description of Object: OLAPProperty is an attribute associated with members of a given dimension level. It is a feature of a Dimension, and can associated with a Level, and to a Column through a FeatureMap.

  See Also:
    Constant Field Values

### OLAPSCHEMA

    static final java.lang.String OLAPSCHEMA

  Model description of Object: This is a grouping of Cubes accessible from an OLAP server.

  See Also:
    Constant Field Values

### ONCLAUSE

    static final java.lang.String ONCLAUSE

  Model description of Object: DEPRECATED: This type represents an SQL ON clause.

  See Also:
    Constant Field Values

### OPENCLIENTCONNECTION

    static final java.lang.String OPENCLIENTCONNECTION

  Model description of Object: This abstract type represents the connection information needed by an open client to access a deployed component.

  See Also:
    Constant Field Values

### ORDERBYCLAUSE

    static final java.lang.String ORDERBYCLAUSE

  Model description of Object: Has an association to columns used to order the data.

  See Also:
    Constant Field Values

### PERMISSION

    static final java.lang.String PERMISSION

  Model description of Object: Permission

  See Also:
    Constant Field Values

### PERMISSIONCONDITION

    static final java.lang.String PERMISSIONCONDITION

  Model description of Object: PermissionCondition

  See Also:
    Constant Field Values

### PERSON

    static final java.lang.String PERSON

  Model description of Object: This type represents the information kept about a person.

  See Also:
    Constant Field Values

### PHONE

    static final java.lang.String PHONE

  Model description of Object: A phone number and the type of phone number (home, office, mobile, fax).

  See Also:
    Constant Field Values

### PHYSICALTABLE

    static final java.lang.String PHYSICALTABLE

  Model description of Object: A PhysicalTable is the "materialized" table that resides in a database or a file system.

  See Also:
    Constant Field Values

### PROMPT

    static final java.lang.String PROMPT

  Model description of Object: For use by the SAS Prompt Interface. A prompt will be either associated to a single metadata object or, if acting as a shared prompt, a member of the SAS tree.

  See Also:
    Constant Field Values

### PROMPTGROUP

    static final java.lang.String PROMPTGROUP

  Model description of Object: For use by the SAS Prompt Interface. A prompt group will be either associated to a single metadata object or, if acting as a shared prompt group, a member of the SAS tree.

  See Also:
    Constant Field Values

### PROPERTY

    static final java.lang.String PROPERTY

  Model description of Object: A parameter, option or other type of information that is used to tailor a metadata object.

  See Also:
    Constant Field Values

### PROPERTYGROUP

    static final java.lang.String PROPERTYGROUP

  Model description of Object: This represents a group of properties. The properties that are part of this group are associated using the GroupedProperties association.

  See Also:
    Constant Field Values

### PROPERTYSET

    static final java.lang.String PROPERTYSET

  Model description of Object: This contains a set of properties to be used in a particular context. The properties that are part of this set are associated using the SetProperties association.

  See Also:
    Constant Field Values

### PROPERTYTYPE

    static final java.lang.String PROPERTYTYPE

  Model description of Object: This contains a property type and its validators, customizers, and editors. There will be additional types that are associated with this type that define the validatiors, customizers and editors.

  See Also:
    Constant Field Values

### PROTOTYPE

    static final java.lang.String PROTOTYPE

  Model description of Object: This type represents a prototype or template for a type of metadata.

  See Also:
    Constant Field Values

### PROTOTYPEPROPERTY

    static final java.lang.String PROTOTYPEPROPERTY

  Model description of Object: This is the super type for types that define properties that are for prototype objects only. These are either AttributeProperty or AssociationProperty objects.

  See Also:
    Constant Field Values

### PSCOLUMNLAYOUTCOMPONENT

    static final java.lang.String PSCOLUMNLAYOUTCOMPONENT

  Model description of Object: Provides the information needed to lay a PortalPage out in columns.

  See Also:
    Constant Field Values

### PSLAYOUTCOMPONENT

    static final java.lang.String PSLAYOUTCOMPONENT

  Model description of Object: A UI element that designates how Portlets should be laid out on a PortalPage.

  See Also:
    Constant Field Values

### PSPORTALPAGE

    static final java.lang.String PSPORTALPAGE

  Model description of Object: A PortalPage gathers and displays information in the Portal, and can be customized.

  See Also:
    Constant Field Values

### PSPORTALPROFILE

    static final java.lang.String PSPORTALPROFILE

  Model description of Object: A Portal user's Portal information, which defines the basic functionality of the Portal

  See Also:
    Constant Field Values

### PSPORTLET

    static final java.lang.String PSPORTLET

  Model description of Object: A component that perfomrs a specific task within a Portal.

  See Also:
    Constant Field Values

### QUERYCLAUSE

    static final java.lang.String QUERYCLAUSE

  Model description of Object: This abstract type represents types that are used to define the transformations that are performed. These include types that subset, group and order data.

  See Also:
    Constant Field Values

### QUERYTABLE

    static final java.lang.String QUERYTABLE

  Model description of Object: Result set of a query.

  See Also:
    Constant Field Values

### RELATIONALSCHEMA

    static final java.lang.String RELATIONALSCHEMA

  Model description of Object: This is an abstract type that acts as the supertype for any type that can contain table objects.

  See Also:
    Constant Field Values

### RELATIONALTABLE

    static final java.lang.String RELATIONALTABLE

  Model description of Object: This type represents a relational table, one that does not have a physical representation. If the table resides in a DBMS or file system, it should be represented by a PhysicalTable. If it is a transient table, one that has a physical representation but is temporary, it should be represented as a WorkTable.

  See Also:
    Constant Field Values

### REPORT

    static final java.lang.String REPORT

  Model description of Object: This type represents the result of data being transformed into a report. The report has an association to a physical location, such as a SAS catalog entry or file

  See Also:
    Constant Field Values

### RESPONSIBLEPARTY

    static final java.lang.String RESPONSIBLEPARTY

  Model description of Object: This type is used to associate a set of Person objects with a particular role or responsibility. This object may be associated with other objects. For example, the ResponsibleParty may have the role of "Owner", and have an association with a Person object that represents the owner, and associations with the objects that are owned.

  See Also:
    Constant Field Values

### ROLE

    static final java.lang.String ROLE

  Model description of Object: This object describes a role of of an object, and the context of the role. Defined contexts are: ContentType WA (abbreviation for Warehouse Administrator) EM (abbreviation for EnterpriseMiner) For ContentType, valid roles are BASE, NWAY, AGGREGATE, STARFACT, STARTDIM For WA, valid roles are Source, Target For EM, valid roles are Training The list of roles will be expanded, along with the list of contexts

  See Also:
    Constant Field Values

### ROOT

    static final java.lang.String ROOT

  Model description of Object: This is an abstract type that is the supertype for all of the other metadata types.

  See Also:
    Constant Field Values

### ROWSELECTOR

    static final java.lang.String ROWSELECTOR

  Model description of Object: Used to document a SAS datastep select statement.

  See Also:
    Constant Field Values

### SASCATALOG

    static final java.lang.String SASCATALOG

  Model description of Object: SASCatalog

  See Also:
    Constant Field Values

### SASCATALOGENTRY

    static final java.lang.String SASCATALOGENTRY

  Model description of Object: This type represents a SAS catalog entry.

  See Also:
    Constant Field Values

### SASCLIENTCONNECTION

    static final java.lang.String SASCLIENTCONNECTION

  Model description of Object: This type represents the information needed by SAS software to connect to other servers.

  See Also:
    Constant Field Values

### SASFILEREF

    static final java.lang.String SASFILEREF

  Model description of Object: This type represents a SAS fileref. The associated ContentLocations (and this should be a single object except for concatenated files) represent the location used by the fileref.

  See Also:
    Constant Field Values

### SASLIBRARY

    static final java.lang.String SASLIBRARY

  Model description of Object: This type represents a SAS library statement.

  See Also:
    Constant Field Values

### SASLICENSE

    static final java.lang.String SASLICENSE

  Model description of Object: This type is used to document the setinit information for SAS products.

  See Also:
    Constant Field Values

### SASPASSWORD

    static final java.lang.String SASPASSWORD

  Model description of Object: This type represents the storage of SAS passwords for SAS tables or Connections. There will be one of these for each type of password associated with a file.

  See Also:
    Constant Field Values

### SECURITYRULE

    static final java.lang.String SECURITYRULE

  Model description of Object: This is an abstract class from which other "SecurityRules" will derrive. Secuirty rules are used to tell the authorization facility the rules it should use when making authorization decisions.

  See Also:
    Constant Field Values

### SECURITYRULESCHEME

    static final java.lang.String SECURITYRULESCHEME

  Model description of Object: This class is used to group SecurityRules into a unit. The rules in a scheme were generally created together and will most likely need to be deleted together. The SecurityScheme provides the common link needed to facilitate this functionality.

  See Also:
    Constant Field Values

### SECURITYTYPECONTAINMENTRULE

    static final java.lang.String SECURITYTYPECONTAINMENTRULE

  Model description of Object: A SecurityTypeContainmentRule tells the authorization facility how find parent objects for a particular metadata type. There may be more than one rule for any class.

  See Also:
    Constant Field Values

### SELECT

    static final java.lang.String SELECT

  Model description of Object: Used to document an SQL select statement.

  See Also:
    Constant Field Values

### SERVERCOMPONENT

    static final java.lang.String SERVERCOMPONENT

  Model description of Object: Represents server components that are configured to run.

  See Also:
    Constant Field Values

### SERVERCONTEXT

    static final java.lang.String SERVERCONTEXT

  Model description of Object: Used to define an application context for non-homogeneous group servers.

  See Also:
    Constant Field Values

### SERVICECOMPONENT

    static final java.lang.String SERVICECOMPONENT

  Model description of Object:

  See Also:
    Constant Field Values

### SERVICETYPE

    static final java.lang.String SERVICETYPE

  Model description of Object: The types of services available from a DeployedComponent. Examples of types are DBMS, FileSystem, OperatingSytem.

  See Also:
    Constant Field Values

### SHAREDDIMENSION

    static final java.lang.String SHAREDDIMENSION

  Model description of Object: Shared dimension is contained by its schema and may be used by more than one cube. The shared dimension will be removed when the olap schema is removed. Security for the dimension is independent of the cubes which use the dimension.

  See Also:
    Constant Field Values

### SOFTWARECOMPONENT

    static final java.lang.String SOFTWARECOMPONENT

  Model description of Object: A component is the representation an application. This type would be used to define an application hierarchy. An application would use the SoftwareComponent which represents the application as a starting place to navigate through the hierarchy which is made of Trees and Groups and their members.

  See Also:
    Constant Field Values

### STEPPRECEDENCE

    static final java.lang.String STEPPRECEDENCE

  Model description of Object: The preceding and succeeding steps.

  See Also:
    Constant Field Values

### STREAM

    static final java.lang.String STREAM

  Model description of Object: This type represents a stream of data. The protocol attribute describes the format of the data.

  See Also:
    Constant Field Values

### SUMMARYSTATS

    static final java.lang.String SUMMARYSTATS

  Model description of Object: DEPRECATED: SummaryStats

  See Also:
    Constant Field Values

### SXLEMAP

    static final java.lang.String SXLEMAP

  Model description of Object: DRAFT: Root node for SXLE map definition.

  See Also:
    Constant Field Values

### SYNCSTEP

    static final java.lang.String SYNCSTEP

  Model description of Object: The SyncStep is used to help define a workflow. This step does not represent a process step but instead a point if synchronization to help define complex flow algorithms. Valid roles for this type are: AND, OR, EVENTWAIT, CASE An AND SyncStep would have multiple PredecessorDependencies which all must occur before the SuccessorDependencies are activated. An OR SyncStep would have multiple PredecessorDependencies. Any one of these would have to occur before the SuccessorDependencies are activated. An EVENTWAIT SyncStep is activated by TriggeringEvents. A CASE SyncStep signals the start of case logic.

  See Also:
    Constant Field Values

### TABLECOLLECTION

    static final java.lang.String TABLECOLLECTION

  Model description of Object: A classifier that defines a set of tables which all share the same characteristics but that should be treated as one classifer for display purposes. It is often not known until the table definition is used how many physical representations will exist for a given definition.

  See Also:
    Constant Field Values

### TARGET

    static final java.lang.String TARGET

  Model description of Object:

  See Also:
    Constant Field Values

### TCPIPCONNECTION

    static final java.lang.String TCPIPCONNECTION

  Model description of Object: This type contains information for making a TCP/IP connection to a server.

  See Also:
    Constant Field Values

### TESTCAT

    static final java.lang.String TESTCAT

  Model description of Object: This is a testing class that contains no required attributes or associations

  See Also:
    Constant Field Values

### TESTFLEA

    static final java.lang.String TESTFLEA

  Model description of Object: Test0N

  See Also:
    Constant Field Values

### TESTGRANDKITTEN

    static final java.lang.String TESTGRANDKITTEN

  Model description of Object:

  See Also:
    Constant Field Values

### TESTKITTEN

    static final java.lang.String TESTKITTEN

  Model description of Object:

  See Also:
    Constant Field Values

### TESTLEG

    static final java.lang.String TESTLEG

  Model description of Object: Test1N

  See Also:
    Constant Field Values

### TESTMOUSE

    static final java.lang.String TESTMOUSE

  Model description of Object: Test01

  See Also:
    Constant Field Values

### TESTREQATTRS

    static final java.lang.String TESTREQATTRS

  Model description of Object: This type introduces required attributes

  See Also:
    Constant Field Values

### TESTROOT

    static final java.lang.String TESTROOT

  Model description of Object: This is a testing class that contains no required attributes or associations

  See Also:
    Constant Field Values

### TEXT

    static final java.lang.String TEXT

  Model description of Object: This is a superclass for files, SAS catalog entries and text stored in the repository itself.

  See Also:
    Constant Field Values

### TEXTSTORE

    static final java.lang.String TEXTSTORE

  Model description of Object: This class represents storing text in the repository.

  See Also:
    Constant Field Values

### TIMESTAMP

    static final java.lang.String TIMESTAMP

  Model description of Object: This object contains a timestamp and the role of the timestamp.

  See Also:
    Constant Field Values

### TRANSFORMATION

    static final java.lang.String TRANSFORMATION

  Model description of Object: This type is used for generic transformations such as stored procedures.

  See Also:
    Constant Field Values

### TRANSFORMATIONACTIVITY

    static final java.lang.String TRANSFORMATIONACTIVITY

  Model description of Object: TransformationActivity contains TransformationSteps.

  See Also:
    Constant Field Values

### TRANSFORMATIONSTEP

    static final java.lang.String TRANSFORMATIONSTEP

  Model description of Object: TransformationStep contains mapping objects. They may be ordered using an association to StepPrecedence.

  See Also:
    Constant Field Values

### TREE

    static final java.lang.String TREE

  Model description of Object: This type represents a tree which is the root node for a hierarchy of groups of metadata.

  See Also:
    Constant Field Values

### TSNAMEOBJECT

    static final java.lang.String TSNAMEOBJECT

  Model description of Object:

  See Also:
    Constant Field Values

### TSNAMESPACE

    static final java.lang.String TSNAMESPACE

  Model description of Object:

  See Also:
    Constant Field Values

### TYPEDEFINITION

    static final java.lang.String TYPEDEFINITION

  Model description of Object: Type definition is used to describe members of the object type dictionary. A type definition contains information used to describe a logical object type. All object definitions will live in the Foundation Repository since these are global to the entire metadata. They also must have unique names, except for multiple versions of the same type. The notes association will contain configuration information and templates for extract, change management, delete and fetch. Configuration information will include pointers to the interface and class handlers for this type. It will also indicate the default icon to use in the event the classhandler is not available or does not provide an icon.

  See Also:
    Constant Field Values

### UNIQUEKEY

    static final java.lang.String UNIQUEKEY

  Model description of Object: This type is a representation of the unique and primary keys of a table. It is also associated with the columns in the table that comprise the key.

  See Also:
    Constant Field Values

### UNITOFTIME

    static final java.lang.String UNITOFTIME

  Model description of Object:

  See Also:
    Constant Field Values

### VARIABLE

    static final java.lang.String VARIABLE

  Model description of Object: Used to help define substitution strings and the replacement values.

  See Also:
    Constant Field Values

### WHERECLAUSE

    static final java.lang.String WHERECLAUSE

  Model description of Object: DEPRECATED: This type represents a Where SQL Clause.

  See Also:
    Constant Field Values

### WORKTABLE

    static final java.lang.String WORKTABLE

  Model description of Object: This type represents a table that is created as part of running SAS code that is not intended to be persisted. Usually, these types of tables are in the WORK library. These are a separate type from WTable and PhysicalTable because they have a transient physical existence and are not persisted.

  See Also:
    Constant Field Values

### XPATH

    static final java.lang.String XPATH

  Model description of Object: DRAFT: Used to describe an XPath location path.

  See Also:
    Constant Field Values

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.